--- src/widgets/pageview.cpp.orig	2015-12-27 23:25:28.292126001 +0100
+++ src/widgets/pageview.cpp	2015-12-27 23:26:51.156120168 +0100
@@ -230,9 +230,23 @@
     const auto selection = m_centralView->selectionModel()->selectedIndexes();
 
     auto sourceIndices = QModelIndexList();
+/*
     std::transform(selection.constBegin(), selection.constEnd(),
                    std::back_inserter(sourceIndices ),
                    std::bind(&QSortFilterProxyModel::mapToSource, m_filterWidget->proxyModel(), _1));
+*/
+
+    // Expanded following cplusplus.com/reference/algorithm/transform/
+    auto first1 = selection.constBegin();
+    auto const last1 = selection.constEnd();
+    auto result = std::back_inserter(sourceIndices);
+    auto p = m_filterWidget->proxyModel();
+    while (first1 != last1)
+    {
+        *result = p->mapToSource(*first1);
+        ++result;
+        ++first1;
+    }
 
     return sourceIndices;
 }
